Bug 525536 - kpackagekit can't resolve dependencies when removing packages
Summary: kpackagekit can't resolve dependencies when removing packages
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kpackagekit
Version: 11
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Steven M. Parrish
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-24 18:03 UTC by mursusoft
Modified: 2010-06-28 14:48 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:48:14 UTC
Type: ---


Attachments (Terms of Use)

Description mursusoft 2009-09-24 18:03:41 UTC
Description of problem:

If you remove packages that depends on different package kpackagekit says

"A package dependency could not be found.
More information is available in the detailed report"

"package could not be removed, as other packages depend on it"

Version-Release number of selected component (if applicable):

0.4.2-0

Steps to reproduce:

For example if you have gnash and gnash-klash installed and you try to remove gnash it can't do that because gnash-klash depends on gnash ---> you have to remove gnash-klash first and then gnash.
  
Expected results:

Should remove gnash-klash with gnash.

Comment 1 Kevin Kofler 2009-09-24 21:01:09 UTC
WTF, this is STILL not fixed in the version in F11? :-(

Comment 2 Kevin Kofler 2009-09-24 21:01:51 UTC
(This glaringly obvious bug has been there since forever, I wonder if upstream ever actually TESTS his code.)

Comment 3 Bug Zapper 2010-04-28 10:33:48 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-06-28 14:48:14 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.